<div class="product-sales-area">
    <div class="container-fluid custom_container_fluid_padding">
        <div class="row">
            <div class="col-sm-12">
                <h4 class="page-title">Add/Edit Price Scope</h4>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="card-box">

                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label class="pop_label">Select Category</label>
                                <!-- <input type="text" class="form-control" placeholder="Enter Category Name"> -->
                                <select class="form-control" [(ngModel)]="getCategory.id"
                                    (change)="getsubCategory_dropdown(getCategory.id)" [disabled]="editMode==true">
                                    <option value="0">Select from list</option>
                                    <option *ngFor="let option of categoryList" value={{option.id}}>
                                        {{option.category_name}}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label class="pop_label">Sub Category Name</label>
                                <!-- <input type="text" class="form-control" placeholder="Enter Sub Category Name"> -->
                                <select class="form-control" [(ngModel)]="getsubCategory.id" 
                                (change)="getSubcategories_priceScope()" [disabled]="editMode==true">
                                    <option value="0">Select from list</option>
                                    <option *ngFor="let option of subCategoryList" value={{option.id}}>
                                        {{option.sub_category_name}}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label class="pop_label">&nbsp;</label>
                                <a title="Add" class="btn btn-info btn-sm metadata_add_btn" data-toggle="modal"
                                    data-target="#Add_Price_scope" style="color: #fff;" (click)="onPlus_priceScope()"><i class="fa fa-plus"></i> Price Scope</a>
                            </div>
                        </div>
                    </div>
                   
                    <div class="row" *ngIf="getsubCategory.id>0 && subcategories_Pricescope?.result?.length>0">
                        <div class="col-md-12">
                            <div class="custom_tab">
                                <ul class="nav nav-tabs" id="myTab" role="tablist">
                                    <ng-container *ngFor="let item of subcategories_Pricescope.result;let i = index">
                                        <li class="nav-item active">
                                            <a [attr.class]="i==0?'nav-link active':'nav-link'" data-toggle="tab"
                                                [attr.href]="('#Price_scope_name-'+item.row_id)" role="tab" (click)="onTabClick(item.row_id)"
                                                [attr.aria-controls]="('Price_scope_name-'+item.row_id)">{{item.price_scope_name}}</a>
                                            <div class="show_action_button_on_hover">
                                                <i data-toggle="modal" data-target="#Add_Price_scope" (click)="onEdit_priceScopeName(item.row_id)"
                                                    class="fa fa-pencil tab_edit_icon"></i>
                                                <i data-toggle="modal" data-target="#delete_record_tab_pricescope"
                                                    class="fa fa-times tab_cross_icon" (click)="onDeleteBtn_priceScopeName(item.row_id,item.is_new)"></i>
                                            </div>
                                        </li>


                                       
                                    </ng-container>
                                </ul>


                                <div class="tab-content">
                                    <ng-container *ngFor="let item of subcategories_Pricescope.result;let i = index">
                                        <div [attr.class]="i==0?'tab-pane active':'tab-pane'"
                                            id="{{'Price_scope_name-'+item.row_id}}" role="tabpanel">

                                            <!-- <div [attr.class]="i==0?'tab-pane active':'tab-pane'"
                                             id="{{'meta_data_type-'+itemData.id}}"
                                             role="tabpanel"> -->
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label class="pop_label"><span
                                                                style="font-weight: 600;">Watermark</span></label>
                                                        <input type="text" class="form-control Search_form_control"
                                                            [name]="item.row_id" placeholder="Package Name & Description"
                                                            [(ngModel)]="item.watermark" />
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div style="display: flex;">
                                                        <div class="form-group">
                                                            <input class="styled-checkbox" id="{{'styled-checkbox'+item.row_id}}"
                                                                type="checkbox" 
                                                                [(ngModel)]="item.is_mandatory" [name]="'styled-checkbox'+item.row_id">
                                                            <label for="{{'styled-checkbox'+item.row_id}}">Is Mandatory</label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label class="pop_label"><span style="font-weight: 600;">Control
                                                                Type</span></label>
                                                        <!-- <select class="form-control change_control_type1" [(ngModel)]="getPricescope_controlType.id">
                                                        <option value="0">Select from list</option>
                                                        <option *ngFor="let option of priceScope_control_type" value="{{option.id}}">
                                                            {{option.price_scope_control_type_name}}
                                                        </option>
                                                    </select> -->
                                                        <select class="form-control change_control_type1" 
                                                            [(ngModel)]="item.price_scope_control_type.id" [name]="'dropdown'+item.row_id">
                                                            <option value="0">Select from list</option>
                                                            <option *ngFor="let option of priceScope_control_type"
                                                                value="{{option.id}}">
                                                                {{option.price_scope_control_type_name}}
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row Master_Option_show" *ngIf="item.price_scope_control_type.id==2">
                                                <div class="col-md-12">
                                                    <div class="row option_row">
                                                        <div class="col-md-12">
                                                            <div class="table-responsive">
                                                                <table class="table table-striped">
                                                                    <thead>
                                                                        <tr>
                                                                            <th>Master Options</th>
                                                                            <th class="text-right" style="width: 20%;">
                                                                                Action</th>
                                                                        </tr>
                                                                    </thead>
                                                                    <tbody id="myTable">
                                                                        <ng-container *ngIf="item.sub_category_price_scope_details?.length>0">
                                                                            <ng-container *ngFor="let itemSubCategoryMaster of item.sub_category_price_scope_details">
                                                                                <ng-container *ngIf="itemSubCategoryMaster.seq_no>0">
                                                                        <tr>
                                                                            <td>
                                                                                <!-- <span>Master Option 1</span> -->
                                                                                <span>{{itemSubCategoryMaster.display_value}}</span>

                                                                            </td>
                                                                            <td class="text-right">
                                                                                <a href="javaScript:void(0)"
                                                                                    title="Edit" (click)="onOpenPencilbtn(item.row_id,itemSubCategoryMaster.id)"
                                                                                    class="option_edit_click"><i
                                                                                        class="fa fa-pencil edit_icon"></i></a>
                                                                                <a href="javaScript:void(0)" (click)="onDeleteBtn(itemSubCategoryMaster.id)"
                                                                                    title="Delete" data-toggle="modal"
                                                                                    data-target="#delete_record"><i
                                                                                        class="fa fa-close delete_icon"></i></a>
                                                                            </td>
                                                                        </tr>
                                                                        <tr *ngIf="itemSubCategoryMaster.showTextBox==true">
                                                                            <td>
                                                                                <div style="display: flex;">
                                                                                    <input type="text" class="form-control" [name]="'master_option'+itemSubCategoryMaster.id" [(ngModel)]="itemSubCategoryMaster.txt_option"  style="margin-right: 10px;" />
                                                                                    <span class="error_msg"
                                                                                    *ngIf="showDuplicateMasterOption==true">
                                                                                    This option is already exist against this Master Option type.
                                                                                  </span>
                                                                                </div>
                                                                            </td>
                                                                            <td class="text-right">
                                                                                <a href="javaScript:void(0)" title="Add" class="option_edit_click" style="color: #5bc0de;font-size: 16px;"><i class="fa fa-plus" (click)="onEditoptionList_metadata(item.row_id,itemSubCategoryMaster.id,itemSubCategoryMaster.txt_option)"></i></a>
                                                                                <a href="javaScript:void(0)" title="Undo" (click)="onClickUndo(item.row_id,itemSubCategoryMaster.id)"><i class="fa fa-undo delete_icon" style="color: #45e690;font-size: 16px;"></i></a>
                                                                            </td>
                                                                        </tr>
                                                                    </ng-container>
                                                                    </ng-container>
                                                                    </ng-container>
                                                                        <tr>
                                                                            <td colspan="2">
                                                                                <div style="display: flex;">
                                                                                    <input type="text"
                                                                                        class="form-control" [(ngModel)]="txt_new_master_option"
                                                                                        placeholder="Enter Master Option"
                                                                                        style="margin-right: 10px;">
                                                                                    <a href="javaScript:void(0)"
                                                                                        title="Add" (click)="Addnew_masterOption()"
                                                                                        class="option_edit_click"
                                                                                        style="color: #5bc0de;font-size: 16px;line-height: 2;"><i
                                                                                            class="fa fa-plus"></i></a>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                   
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </ng-container>
                                </div>
</div>
                        </div>
                    </div>
                </div>


                <div class="row">
                    <div class="col-md-12 text-left form-group">
                        <!-- <a  class="btn btn-success btn-sm custom_btn_css" style="color: white;" (click)="AddBtn_priceScope()">Add</a> -->
                        <a href="javascript:void(0)" class="btn btn-info btn-sm custom_btn_css" (click)="AddBtn_priceScope()">Update Master</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Delete Modal for tab Price Scope Start -->
<div id="delete_record_tab_pricescope" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 text-right">
                        <a  class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn" (click)="onDeleteTab_priceScopeName()">Delete</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Delete Modal for tab Price Scope End -->

<!-- Delete Modal Start -->
<div id="delete_record" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 text-right">
                        <a  class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn" (click)="onDeletePopBtn_masterOptions()">Delete</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Delete Modal End -->
<!-- Add Price Scope Modal Start -->
<div id="Add_Price_scope" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" style="color: white;">Add Price Scope</h5>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="pop_label">Price Scope Name</label>
                        <input type="text" class="form-control" name="price_scope_name"
                            placeholder="Enter Price Scope Name" style="margin-right: 10px;"
                            [(ngModel)]="txt_price_scope_name" />
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 text-right"> 
                        <a class="btn btn-success btn-sm custom_btn_css custom_delete_record_btn" (click)="onPlusbtn_priceScope()">Add</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Add Price Scope Modal End -->